// BHOCOP Version 1.0
// Copyright (c) 2001 Ziff Davis Media, Inc.
// All rights reserved.
// First Published in PC Magazine, US Edition, May 22, 2001.
// Programmer: Patrick Philippot

#if !defined(AFX_SAVECONFIGDLG_H__7B4DCF73_0014_11D5_91E4_00A0CCD36535__INCLUDED_)
#define AFX_SAVECONFIGDLG_H__7B4DCF73_0014_11D5_91E4_00A0CCD36535__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SaveConfigDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CNameCombo window

class CNameCombo : public CComboBox
{
// Construction
public:
	CNameCombo();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNameCombo)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CNameCombo();

	// Generated message map functions
protected:
	//{{AFX_MSG(CNameCombo)
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CSaveConfigDlg dialog

class CSaveConfigDlg : public CDialog
{
// Construction
public:
	CSaveConfigDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSaveConfigDlg)
	enum { IDD = IDD_SAVECFGAS };
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSaveConfigDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	CNameCombo	m_CfgName;

	// Generated message map functions
	//{{AFX_MSG(CSaveConfigDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnDelete();
	afx_msg void OnEditChangeCfgName();
	afx_msg void OnSelChangeCfgName();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	CString		m_sCurrentName;
	CString		m_sIniFilename;
};

/////////////////////////////////////////////////////////////////////////////
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SAVECONFIGDLG_H__7B4DCF73_0014_11D5_91E4_00A0CCD36535__INCLUDED_)
